Microscopic Traffic Simulator

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Microscopic_Traffic_Simulator.App Class Reference

GUIInteractions logic for App.xaml More...

Inheritance diagram for Microscopic_Traffic_Simulator.App:

## Public Member Functions
| App ()
| Initialization of app. More...
void | InitializeComponent ()
| InitializeComponent More...
void | InitializeComponent ()
| InitializeComponent More...

## Static Public Member Functions
static void | Main ()
| Application Entry Point. More...
static void | Main ()
| Application Entry Point. More...

## Protected Member Functions
override void | OnStartup (StartupEventArgs e)
| Occurs on startup of application. More...

## Detailed Description

GUIInteractions logic for App.xaml

App

Definition at line 17 of file App.xaml.cs.

## Constructor & Destructor Documentation

Microscopic_Traffic_Simulator.App.App | ( |  | ) |

Initialization of app.

Definition at line 55 of file App.xaml.cs.

## Member Function Documentation

void Microscopic_Traffic_Simulator.App.InitializeComponent | ( |  | ) |

InitializeComponent

Definition at line 49 of file App.g.cs.

void Microscopic_Traffic_Simulator.App.InitializeComponent | ( |  | ) |

InitializeComponent

Definition at line 49 of file App.g.i.cs.

static void Microscopic_Traffic_Simulator.App.Main | ( |  | ) |
| static

Application Entry Point.

Definition at line 69 of file App.g.i.cs.

static void Microscopic_Traffic_Simulator.App.Main | ( |  | ) |
| static

Application Entry Point.

Definition at line 69 of file App.g.cs.

override void Microscopic_Traffic_Simulator.App.OnStartup | ( | StartupEventArgs | e | ) |
| protected

Occurs on startup of application.

Parameters

  e | Event args of startup.

Definition at line 68 of file App.xaml.cs.

The documentation for this class was generated from the following files:

- Microscopic Traffic Simulator/App.xaml.cs
- Microscopic Traffic Simulator/obj/Debug/App.g.cs
- Microscopic Traffic Simulator/obj/Debug/App.g.i.cs